# Copyright (c) 2020 Jerome Arbez-Gindre
# frozen_string_literal: true

module DefMastership
  # Change included filenames
  class RenameIncludedFilesModifier < ModifierBase
    def replacements
      %i[replace]
    end

    def new_line_modifier(config, _adoc_texts)
      RenameIncludedFilesLineModifier.from_config(config)
    end
  end
end
