# Copyright (c) 2020 Jerome Arbez-Gindre
# frozen_string_literal: true

require('defmastership/version')

# Add requires for other files you add to your project here, so
# you just need to require this one file in your bin file
require('defmastership/constants')
require('defmastership/parsing_state')
require('defmastership/definition')
require('defmastership/definition_parser')
require('defmastership/filters')
require('defmastership/document')
require('defmastership/comment_filter')
require('defmastership/csv_formatter')

require('defmastership/modifier_base')
require('defmastership/line_modifier_base')
require('defmastership/batch_modifier')

require('defmastership/change_ref_modifier')
require('defmastership/change_ref_line_modifier')

require('defmastership/rename_included_files_modifier')
require('defmastership/rename_included_files_line_modifier')

require('defmastership/update_def_checksum_modifier')
require('defmastership/update_def_checksum_line_modifier')

require('defmastership/update_def_version_modifier')
require('defmastership/update_def_version_line_modifier')
