# Copyright (c) 2020 Jerome Arbez-Gindre
# frozen_string_literal: true

module DefMastership
  # Change all refs of a given project
  class ChangeRefModifier < ModifierBase
    def replacements
      %i[replace_refdef replace_irefs]
    end

    def new_line_modifier(config, _adoc_texts)
      ChangeRefLineModifier.from_config(config)
    end
  end
end
